Skip to main content
GET
Get Orders

Query Parameters

market_slug
string

Filter orders by market slug

Example:

"bitcoin-up-or-down-july-25-8pm-et"

condition_id
string

Filter orders by condition ID

Example:

"0x4567b275e6b667a6217f5cb4f06a797d3a1eaf1d0281fb5bc8c75e2046ae7e57"

token_id
string

Filter orders by token ID

Example:

"58519484510520807142687824915233722607092670035910114837910294451210534222702"

start_time
integer

Filter orders from this Unix timestamp in seconds (inclusive)

Example:

1640995200

end_time
integer

Filter orders until this Unix timestamp in seconds (inclusive)

Example:

1672531200

limit
integer
default:100

Number of orders to return (1-1000)

Required range: 1 <= x <= 1000
Example:

50

pagination_key
string

Base64-encoded cursor for efficient pagination. Returned in the previous response's pagination object.

Example:

"eyJibG9ja190aW1lc3RhbXAiOiIyMDI1LTAxLTE5VDEyOjAwOjAwLjAwMFoiLCJ0eF9oYXNoIjoiMHgxMjM0NTY3ODkwYWJjZGVmIiwibG9nX2luZGV4IjoxMCwidG90YWwiOjUxMDk2MTl9"

user
string

Filter orders by user (wallet address)

Example:

"0x7c3db723f1d4d8cb9c550095203b686cb11e5c6b"

Response

Orders response with pagination

orders
object[]
pagination
object